%define major 10
%define shortname microhttpd
%define libname	%mklibname %shortname %{major}
%define develname %mklibname -d %{shortname}
%define spdymajor 0
%define libspdy %mklibname microspdy %{spdymajor}
%define spdydevelname %mklibname -d microspdy


Name:		libmicrohttpd
Version:	0.9.44
Release:	%mkrel 1
URL:		http://gnunet.org/libmicrohttpd/
Source:		http://ftp.gnu.org/gnu/libmicrohttpd/%{name}-%{version}.tar.xz
Patch0:		libmicrohttpd-link.patch
License:	GPLv2+
Summary:	Small C library to run an HTTP server
Group:		System/Libraries
#--------------------------------------------
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gcrypt11
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}magic-devel
BuildRequires: %{_lib}openssl-devel
#--------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n %libname
Summary:	Small C library to run an HTTP server
Group:		System/Libraries
Obsoletes:	libmicrohttpd8

%description -n %libname
libmicrohttpd is a small C library that is supposed to make it easy to
run an HTTP server as part of another application. Key features that
distinguish libmicrohttpd from other projects are:

* C library: fast and small
* API is simple, expressive and fully reentrant
* Implementation is (largely) http 1.1 compliant
* HTTP server can listen on multiple ports
* Support for IPv6
* Creates binary of only 22k (for now)
* Three different threading models

libmicrohttpd was started because the author needed an easy way to add
a concurrent HTTP server to other projects. Existing alternatives were
either non-free, not reentrant, standalone, of terrible code quality or
a combination thereof. Do not use libmicrohttpd if you are looking for
a standalone http server; there are many other projects out there that
provide that kind of functionality already. However, if you want to be
able to serve simple WWW pages from within your C or C++ application,
check it out.

%package -n %develname
Summary:	Development files for %libname
Group:		System/Libraries
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %develname
Development files for %libname

%package -n	%{libspdy}
Summary:	API of SPDY server
Group:		System/Libraries

%description -n	%{libspdy}
libmicrospdy provides a compact API of SPDY server. libmicrospdy currently
only implements version 3 of SPDY and accepts only TLS connections.

%package -n	%{spdydevelname}
Summary: 	Development files for libmicrospdy
Group:		Development/Libraries
Requires:	%{libspdy} = %{version}-%{release}

%description -n	%{spdydevelname}
Development files for libmicrospdy


%package -n	microspdy2http
Summary:	Implementation of SPDY server
Group:		System/Servers

%description -n	microspdy2http
microspdy2http provides an implementation of SPDY server.



%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%{__rm} -Rf %{buildroot}
%makeinstall_std

#drop uneeded
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/demo

%post -n %develname
%_install_info microhttpd.info

%preun -n %develname
%_remove_install_info microhttpd.info

%files -n microspdy2http
%{_bindir}/microspdy2http

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.so
%{_datadir}/info/*
%{_mandir}
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libspdy}
%{_libdir}/libmicrospdy.so.%{spdymajor}.*
%{_libdir}/libmicrospdy.so.%{spdymajor}

%files -n %{spdydevelname}
%{_includedir}/microspdy.h
%{_libdir}/libmicrospdy.so
%{_libdir}/pkgconfig/libmicrospdy.pc


%changelog
* Wed Oct 21 2015 bb <bb> 0.9.44-1pclos2015
- update

* Sun Mar 16 2014 bb <bb> 0.9.34-1pclos2014
- update

* Thu Jan 30 2014 bb <bb> 0.9.33-1pclos2014
- update
- drop static build


